Skip to main content
PUT
/
orgs
/
{org_id}
/
k2
/
{kb_id}
/
policies
/
enforcement
cURL
curl --request PUT \
  --url https://api.timbal.ai/orgs/{org_id}/k2/{kb_id}/policies/enforcement \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "governance_enforced": true
}
'
{
  "governance_enforced": true
}

Authorizations

Authorization
string
header
required

Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.

Path Parameters

org_id
string
required
kb_id
string
required

Body

application/json
governance_enforced
boolean
required

When true, queries are rewritten to satisfy active policies or rejected if they cannot be safely constrained. When false, governance is audit-only.

Response

200 - application/json

Updated enforcement status

Whether governance policies are enforced on queries (vs audit-only).

governance_enforced
boolean
required